Bug 32821 - univention-updater should use UCS_Version definition from python-univention-lib
univention-updater should use UCS_Version definition from python-univention-lib
Status: VERIFIED FIXED
Product: UCS
Classification: Unclassified
Component: Update - univention-updater
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 5.0
Assigned To: Philipp Hahn
Florian Best
:
Depends on: 32409
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 14:54 CEST by Arvid Requate
Modified: 2020-07-06 18:20 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:
hahn: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-10-08 14:54:56 CEST
The definition of UCS_Version was copied from univention-updater to python-univention-lib for bug #32409. univention-updater should use the UCS_Version definition from python-univention-lib, the duplicate code should be removed.
Comment 1 Stefan Gohmann univentionstaff 2017-06-16 20:36:18 CEST
This issue has been filed against UCS 3. UCS 3 is out of the normal maintenance and many UCS components have vastly changed in UCS 4.

If this issue is still valid, please change the version to a newer UCS version otherwise this issue will be automatically closed in the next weeks.
Comment 2 Philipp Hahn univentionstaff 2020-03-12 09:45:27 CET
Patch @ <https://git.knut.univention.de/univention/ucs/-/commits/python3/udm?utf8=%E2%9C%93&search=Bug+%2332821>

This should be fixed with the Python 3 migration as otherwise two implementations have to be migrated/maintained.
Comment 3 Florian Best univentionstaff 2020-07-01 22:35:47 CEST
The univention-lib part of the patch has been applied in Bug #51592.
Comment 4 Philipp Hahn univentionstaff 2020-07-06 13:38:39 CEST
The univention-lib part is done
The univention-updater part needs to wait until the new repository layout is implemented.
Comment 5 Arvid Requate univentionstaff 2020-07-06 14:04:12 CEST
So then, I reopen.
Comment 6 Philipp Hahn univentionstaff 2020-07-06 14:12:22 CEST
Wrong: 0c24811b2d607b3d242106ce90fb84c5aec5d791 also includes the updater part.
Comment 7 Florian Best univentionstaff 2020-07-06 18:20:13 CEST
OK: merging of implementations
FYI: e.g. `UCS_Version([4, 4, 5, 0])` changed from TypeError → ValueError.
OK: changelog entry